Mailinglist Archive: opensuse-commit (2092 mails)

< Previous Next >
commit gnome-speech
  • From: root@xxxxxxxxxxxxxxx (h_root)
  • Date: Fri, 03 Aug 2007 22:16:03 +0200
  • Message-id: <20070803201604.3E5C967832C@xxxxxxxxxxxxxxx>

Hello community,

here is the log from the commit of package gnome-speech
checked in at Fri Aug 3 22:16:03 CEST 2007.

--------
--- GNOME/gnome-speech/gnome-speech.changes     2007-07-09 21:33:20.000000000 +0200
+++ /mounts/work_src_done/STABLE/gnome-speech/gnome-speech.changes      2007-08-03 20:50:15.939876000 +0200
@@ -1,0 +2,7 @@
+Fri Aug  3 20:49:26 CEST 2007 - maw@xxxxxxx
+
+- Update to version 0.4.16:
+  + Bugs (bugzilla.gnome.org) fixed: #458990 and #454954.
+
+
+-------------------------------------------------------------------

Old:
----
  gnome-speech-0.4.14.tar.bz2

New:
----
  gnome-speech-0.4.16.tar.bz2

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ gnome-speech.spec ++++++
--- /var/tmp/diff_new_pack.Z10616/_old  2007-08-03 22:14:45.000000000 +0200
+++ /var/tmp/diff_new_pack.Z10616/_new  2007-08-03 22:14:45.000000000 +0200
@@ -1,5 +1,5 @@
 #
-# spec file for package gnome-speech (Version 0.4.14)
+# spec file for package gnome-speech (Version 0.4.16)
 #
 # Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
 # This file and all modifications and additions to the pristine
@@ -15,7 +15,7 @@
 License:        LGPL v2 or later
 Group:          System/GUI/GNOME
 Autoreqprov:    on
-Version:        0.4.14
+Version:        0.4.16
 Release:        1
 Summary:        GNOME Speech API
 Source:         ftp://ftp.gnome.org/pub/GNOME/sources/gnome-speech/0.4/gnome-speech-%{version}.tar.bz2
@@ -103,6 +103,9 @@
 %{_libdir}/pkgconfig/gnome-speech-1.0.pc
 
 %changelog
+* Fri Aug 03 2007 - maw@xxxxxxx
+- Update to version 0.4.16:
+  + Bugs (bugzilla.gnome.org) fixed: #458990 and #454954.
 * Mon Jul 09 2007 - maw@xxxxxxx
 - Update to version 0.4.14
 - Fixes for bugzilla.gnome.org #437867, #440169, #448184, and

++++++ gnome-speech-0.4.14.tar.bz2 -> gnome-speech-0.4.16.tar.bz2 ++++++
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gnome-speech-0.4.14/aclocal.m4 new/gnome-speech-0.4.16/aclocal.m4
--- old/gnome-speech-0.4.14/aclocal.m4  2007-06-18 01:06:51.000000000 +0200
+++ new/gnome-speech-0.4.16/aclocal.m4  2007-07-29 23:51:02.000000000 +0200
@@ -6718,7 +6718,7 @@
 
 _PKG_TEXT
 
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.])],
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.])],
                [$4])
 else
        $1[]_CFLAGS=$pkg_cv_[]$1[]_CFLAGS
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gnome-speech-0.4.14/ChangeLog new/gnome-speech-0.4.16/ChangeLog
--- old/gnome-speech-0.4.14/ChangeLog   2007-06-18 01:01:46.000000000 +0200
+++ new/gnome-speech-0.4.16/ChangeLog   2007-07-29 23:50:48.000000000 +0200
@@ -1,3 +1,21 @@
+2007-07-25 Gilles Casse <via william.walker@xxxxxxx>
+
+       * drivers/espeak/espeakspeaker.c: fix for bug 458990 - Update
+       max speech rate
+
+2007-07-09 Willie Walker <william.walker@xxxxxxx>
+
+        * configure.in, NEWS, README: prep for 0.4.15.
+
+2007-07-09 Gilles Casse <via william.walker@xxxxxxx>
+
+       * drivers/espeak/espeaksynthesisdriver.c: fix for bug 454954 -
+       Compatibility with eSpeak >=1.27 (Thanks Gilles!)
+
+2007-06-18 Willie Walker <william.walker@xxxxxxx>
+
+        * configure.in, NEWS, README: prep for 0.4.14.
+
 2007-06-17  Mario Lang <via william.walker@xxxxxxx>
 
         * drivers/viavoice/viavoicesynthesisdriver.c: fix for bug 448184 -
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gnome-speech-0.4.14/config.guess new/gnome-speech-0.4.16/config.guess
--- old/gnome-speech-0.4.14/config.guess        2007-06-18 01:06:59.000000000 +0200
+++ new/gnome-speech-0.4.16/config.guess        2007-07-29 23:51:10.000000000 +0200
@@ -4,7 +4,7 @@
 #   2000, 2001, 2002, 2003, 2004, 2005, 2006 Free Software Foundation,
 #   Inc.
 
-timestamp='2006-07-02'
+timestamp='2007-03-06'
 
 # This file is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by
@@ -161,6 +161,7 @@
            arm*) machine=arm-unknown ;;
            sh3el) machine=shl-unknown ;;
            sh3eb) machine=sh-unknown ;;
+           sh5el) machine=sh5le-unknown ;;
            *) machine=${UNAME_MACHINE_ARCH}-unknown ;;
        esac
        # The Operating System including object format, if it has switched
@@ -780,7 +781,7 @@
     i*:CYGWIN*:*)
        echo ${UNAME_MACHINE}-pc-cygwin
        exit ;;
-    i*:MINGW*:*)
+    *:MINGW*:*)
        echo ${UNAME_MACHINE}-pc-mingw32
        exit ;;
     i*:windows32*:*)
@@ -790,12 +791,15 @@
     i*:PW*:*)
        echo ${UNAME_MACHINE}-pc-pw32
        exit ;;
-    x86:Interix*:[3456]*)
-       echo i586-pc-interix${UNAME_RELEASE}
-       exit ;;
-    EM64T:Interix*:[3456]*)
-       echo x86_64-unknown-interix${UNAME_RELEASE}
-       exit ;;
+    *:Interix*:[3456]*)
+       case ${UNAME_MACHINE} in
+           x86) 
+               echo i586-pc-interix${UNAME_RELEASE}
+               exit ;;
+           EM64T | authenticamd)
+               echo x86_64-unknown-interix${UNAME_RELEASE}
+               exit ;;
+       esac ;;
     [345]86:Windows_95:* | [345]86:Windows_98:* | [345]86:Windows_NT:*)
        echo i${UNAME_MACHINE}-pc-mks
        exit ;;
@@ -950,6 +954,9 @@
     x86_64:Linux:*:*)
        echo x86_64-unknown-linux-gnu
        exit ;;
+    xtensa:Linux:*:*)
+       echo xtensa-unknown-linux-gnu
+       exit ;;
     i*86:Linux:*:*)
        # The BFD linker knows what the default object file format is, so
        # first see if it will tell us. cd to the root directory to prevent
@@ -1208,6 +1215,15 @@
     SX-6:SUPER-UX:*:*)
        echo sx6-nec-superux${UNAME_RELEASE}
        exit ;;
+    SX-7:SUPER-UX:*:*)
+       echo sx7-nec-superux${UNAME_RELEASE}
+       exit ;;
+    SX-8:SUPER-UX:*:*)
+       echo sx8-nec-superux${UNAME_RELEASE}
+       exit ;;
+    SX-8R:SUPER-UX:*:*)
+       echo sx8r-nec-superux${UNAME_RELEASE}
+       exit ;;
     Power*:Rhapsody:*:*)
        echo powerpc-apple-rhapsody${UNAME_RELEASE}
        exit ;;
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gnome-speech-0.4.14/config.sub new/gnome-speech-0.4.16/config.sub
--- old/gnome-speech-0.4.14/config.sub  2007-06-18 01:06:59.000000000 +0200
+++ new/gnome-speech-0.4.16/config.sub  2007-07-29 23:51:10.000000000 +0200
@@ -4,7 +4,7 @@
 #   2000, 2001, 2002, 2003, 2004, 2005, 2006 Free Software Foundation,
 #   Inc.
 
-timestamp='2006-09-20'
+timestamp='2007-01-18'
 
 # This file is (in principle) common to ALL GNU software.
 # The presence of a machine in this file suggests that SOME GNU software
@@ -245,12 +245,12 @@
        | bfin \
        | c4x | clipper \
        | d10v | d30v | dlx | dsp16xx \
-       | fr30 | frv \
+       | fido | fr30 | frv \
        | h8300 | h8500 | hppa | hppa1.[01] | hppa2.0 | hppa2.0[nw] | hppa64 \
        | i370 | i860 | i960 | ia64 \
        | ip2k | iq2000 \
        | m32c | m32r | m32rle | m68000 | m68k | m88k \
-       | maxq | mb | microblaze | mcore \
+       | maxq | mb | microblaze | mcore | mep \
        | mips | mipsbe | mipseb | mipsel | mipsle \
        | mips16 \
        | mips64 | mips64el \
@@ -324,7 +324,7 @@
        | clipper-* | craynv-* | cydra-* \
        | d10v-* | d30v-* | dlx-* \
        | elxsi-* \
-       | f30[01]-* | f700-* | fr30-* | frv-* | fx80-* \
+       | f30[01]-* | f700-* | fido-* | fr30-* | frv-* | fx80-* \
        | h8300-* | h8500-* \
        | hppa-* | hppa1.[01]-* | hppa2.0-* | hppa2.0[nw]-* | hppa64-* \
        | i*86-* | i860-* | i960-* | ia64-* \
@@ -925,6 +925,9 @@
                basic_machine=sh-hitachi
                os=-hms
                ;;
+       sh5el)
+               basic_machine=sh5le-unknown
+               ;;
        sh64)
                basic_machine=sh64-unknown
                ;;
@@ -1219,7 +1222,7 @@
              | -os2* | -vos* | -palmos* | -uclinux* | -nucleus* \
              | -morphos* | -superux* | -rtmk* | -rtmk-nova* | -windiss* \
              | -powermax* | -dnix* | -nx6 | -nx7 | -sei* | -dragonfly* \
-             | -skyos* | -haiku* | -rdos* | -toppers*)
+             | -skyos* | -haiku* | -rdos* | -toppers* | -drops*)
        # Remember, each alternative MUST END IN *, to match a version number.
                ;;
        -qnx*)
@@ -1414,6 +1417,9 @@
        m68*-cisco)
                os=-aout
                ;;
+        mep-*)
+               os=-elf
+               ;;
        mips*-cisco)
                os=-elf
                ;;
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gnome-speech-0.4.14/configure new/gnome-speech-0.4.16/configure
--- old/gnome-speech-0.4.14/configure   2007-06-18 01:06:54.000000000 +0200
+++ new/gnome-speech-0.4.16/configure   2007-07-29 23:51:05.000000000 +0200
@@ -2032,7 +2032,7 @@
 
 GNOME_SPEECH_MAJOR_VERSION=0
 GNOME_SPEECH_MINOR_VERSION=4
-GNOME_SPEECH_MICRO_VERSION=14
+GNOME_SPEECH_MICRO_VERSION=16
 GNOME_SPEECH_INTERFACE_AGE=0
 GNOME_SPEECH_BINARY_AGE=0
 GNOME_SPEECH_VERSION="$GNOME_SPEECH_MAJOR_VERSION.$GNOME_SPEECH_MINOR_VERSION.$GNOME_SPEECH_MICRO_VERSION"
@@ -19767,7 +19767,7 @@
 and ORBIT_LIBS to avoid the need to call pkg-config.
 See the pkg-config man page for more details.
 
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
 See \`config.log' for more details." >&5
 echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
 is in your PATH or set the PKG_CONFIG environment variable to the full
@@ -19777,7 +19777,7 @@
 and ORBIT_LIBS to avoid the need to call pkg-config.
 See the pkg-config man page for more details.
 
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
 See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; }
 else
@@ -19881,7 +19881,7 @@
 and gnome_speech_LIBS to avoid the need to call pkg-config.
 See the pkg-config man page for more details.
 
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
 See \`config.log' for more details." >&5
 echo "$as_me: error: The pkg-config script could not be found or is too old.  Make sure it
 is in your PATH or set the PKG_CONFIG environment variable to the full
@@ -19891,7 +19891,7 @@
 and gnome_speech_LIBS to avoid the need to call pkg-config.
 See the pkg-config man page for more details.
 
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.
 See \`config.log' for more details." >&2;}
    { (exit 1); exit 1; }; }
 else
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gnome-speech-0.4.14/configure.in new/gnome-speech-0.4.16/configure.in
--- old/gnome-speech-0.4.14/configure.in        2007-06-18 01:04:16.000000000 +0200
+++ new/gnome-speech-0.4.16/configure.in        2007-07-29 23:50:01.000000000 +0200
@@ -2,7 +2,7 @@
 
 GNOME_SPEECH_MAJOR_VERSION=0
 GNOME_SPEECH_MINOR_VERSION=4
-GNOME_SPEECH_MICRO_VERSION=14
+GNOME_SPEECH_MICRO_VERSION=16
 GNOME_SPEECH_INTERFACE_AGE=0
 GNOME_SPEECH_BINARY_AGE=0
 GNOME_SPEECH_VERSION="$GNOME_SPEECH_MAJOR_VERSION.$GNOME_SPEECH_MINOR_VERSION.$GNOME_SPEECH_MICRO_VERSION"
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gnome-speech-0.4.14/drivers/espeak/espeakspeaker.c new/gnome-speech-0.4.16/drivers/espeak/espeakspeaker.c
--- old/gnome-speech-0.4.14/drivers/espeak/espeakspeaker.c      2007-05-14 17:16:38.000000000 +0200
+++ new/gnome-speech-0.4.16/drivers/espeak/espeakspeaker.c      2007-07-29 23:41:28.000000000 +0200
@@ -290,7 +290,7 @@
                        espeakRATE,
                        "rate",
                        80,
-                       312,
+                       370,
                        espeak_set_rate);  
   espeak_add_parameter (speaker,
                        espeakVOLUME,
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gnome-speech-0.4.14/drivers/espeak/espeaksynthesisdriver.c new/gnome-speech-0.4.16/drivers/espeak/espeaksynthesisdriver.c
--- old/gnome-speech-0.4.14/drivers/espeak/espeaksynthesisdriver.c      2007-05-14 17:16:38.000000000 +0200
+++ new/gnome-speech-0.4.16/drivers/espeak/espeaksynthesisdriver.c      2007-07-29 23:41:28.000000000 +0200
@@ -167,7 +167,12 @@
   if (!d->initialized) {
 
     espeak_SetSynthCallback( espeak_synthesis_driver_index_callback);
+
+#if ESPEAK_API_REVISION==2
+    espeak_Initialize(AUDIO_OUTPUT_PLAYBACK, 200, NULL, 0);
+#else
     espeak_Initialize(AUDIO_OUTPUT_PLAYBACK, 200, NULL);
+#endif
 
     /* Add a timeout callback to poke this instance of eSpeak */
 
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gnome-speech-0.4.14/gnome-speech.spec new/gnome-speech-0.4.16/gnome-speech.spec
--- old/gnome-speech-0.4.14/gnome-speech.spec   2007-06-18 01:07:10.000000000 +0200
+++ new/gnome-speech-0.4.16/gnome-speech.spec   2007-07-29 23:51:18.000000000 +0200
@@ -1,6 +1,6 @@
 Summary: GNOME Desktop text-to-speech services
 Name: gnome-speech
-Version: 0.4.14
+Version: 0.4.16
 Release: 1
 License: LGPL
 Group: Desktop/Accessibility
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gnome-speech-0.4.14/INSTALL new/gnome-speech-0.4.16/INSTALL
--- old/gnome-speech-0.4.14/INSTALL     2007-06-18 01:07:10.000000000 +0200
+++ new/gnome-speech-0.4.16/INSTALL     2007-07-29 23:51:18.000000000 +0200
@@ -9,8 +9,8 @@
 Simple install procedure
 ========================
 
-  % gzip -cd gnome-speech-0.4.14.tar.gz | tar xvf - # unpack the sources
-  % cd gnome-speech-0.4.14
+  % gzip -cd gnome-speech-0.4.16.tar.gz | tar xvf - # unpack the sources
+  % cd gnome-speech-0.4.16
   % ./configure                                   # run the `configure' script
   % make                                  # build GTK
   [ Become root if necessary ]
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gnome-speech-0.4.14/NEWS new/gnome-speech-0.4.16/NEWS
--- old/gnome-speech-0.4.14/NEWS        2007-06-18 01:06:19.000000000 +0200
+++ new/gnome-speech-0.4.16/NEWS        2007-07-29 23:50:46.000000000 +0200
@@ -1,4 +1,13 @@
 (top)
+gnome-speech 0.4.16:
+
+* Fix for bug 458990 - Update max speech rate in eSpeak driver 
+  (Gilles Casse)
+
+gnome-speech 0.4.15:
+
+* Fix for bug 454954 - Compatibility with eSpeak >=1.27 (Gilles Casse)
+
 gnome-speech 0.4.14:
 
 * Fix for bug 443989 - when building Java platform support, add -cp
diff -urN --exclude=CVS --exclude=.cvsignore --exclude=.svn --exclude=.svnignore old/gnome-speech-0.4.14/README new/gnome-speech-0.4.16/README
--- old/gnome-speech-0.4.14/README      2007-06-18 01:04:26.000000000 +0200
+++ new/gnome-speech-0.4.16/README      2007-07-29 23:49:58.000000000 +0200
@@ -1,9 +1,9 @@
-GNOME Speech 0.4.14
+GNOME Speech 0.4.16
 
 1. Introduction
 ===============================================================================
 
-This is GNOME Speech version 0.4.14.  It's purpose is to provide a
+This is GNOME Speech version 0.4.16.  It's purpose is to provide a
 simple general API for producing text-to-speech output.  This version
 of gnome-speech *should* be fine for GNOME 2.12 and greater.
 


++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



Remember to have fun...

---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages